
*, html {
    margin: 0;
    padding: 0;
}

body {
    max-width: 1200px;
    margin: 5px auto;
    padding: 5px;
}


/* background color */

.cadetblue {
    background-color: cadetblue;
}
.cornflowerblue {
    background-color: cornflowerblue;
}
.blanchedalmond {
    background-color: blanchedalmond;
}
.darkcyan {
    background-color: darkcyan;
}
.beige {
    background-color: beige;
}
.darksalmon {
    background-color: darksalmon;
}
.darkseagreen {
    background-color: darkseagreen;
}
.darkturquoise {
    background-color: darkturquoise;
}
.goldenrod {
    background-color: goldenrod;
}
.hotpink {
    background-color: hotpink;
}
.aquamarine {
    background-color: aquamarine;
}

/* elements */

.cta {
    border: solid 2.5px;
    padding: 5px;
    font-size: 25px;
}

/* error */

#mailSend {
    background-color: greenyellow;
    border: solid 5px;
    border-bottom: none;
    text-align: center;
}
#mailSend p {
    font-size: 20px;
}
#mailFailed {
    background-color: greenyellow;
    border: solid 5px;
    border-bottom: none;
    text-align: center;
}
#mailFailed p {
    font-size: 20px;
}


/* nav */

nav {
    border: solid 5px;
}

nav p {
    text-align: center;
    margin: 10px;
}

/* header */

h1 {
    font-size: 32px;
}
h2 {
    font-size: 34px;
}

.header {
    border: solid 5px;
    border-top: none;
    padding: 20px;
}

.header p {
    width: 80%;
    max-width: 700px;
}

/* blog */

.blog {
    border: solid 5px;
    border-top: none;
    display: flex;
    overflow-x: scroll;
}

.blog .title h2 {
    width: 60px;
    margin-top: 110px;
    transform: rotate(90deg);
}

.blog .post {
    color: black;
    min-width: 250px;
    border-right: solid 2.5px;
}
.blog .post img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    padding: 0px;
    margin: 0px;
}
.blog .post h2 {
    padding: 10px;
    font-size: 36px;
    padding-bottom: 10px;
}
.blog .post p {
    font-size: 16px;
    padding-bottom: 10px;
}


/* Scrollbar */
.blog::-webkit-scrollbar {
    height: 16px; /* wichtig bei horizontalem Scroll */
}
.blog::-webkit-scrollbar-track {
    border-top: solid 2.5px;
}
.blog::-webkit-scrollbar-thumb {
    background: black;
    border-radius: 0px;
    border-top: solid 2.5px;
}
.blog::-webkit-scrollbar-thumb:hover {
    background: rgba(0, 0, 0, 0.833);
}

/* aboutme */

.about-me {
    border: solid 5px;
    border-top: none;
    padding: 10px;

    display: flex;
    justify-content: center;
    align-items: center;     
    gap: 20px;

    min-height: 400px; 
}

.about-me .me {
    flex-shrink: 0; 
}

.about-me .me img {
    width: 200px;
    height: auto;
    display: block;
    border: solid 5px;
    border-radius: 30% 70% 55% 45% / 26% 37% 63% 74% ;
}

.about-me .about {
    display: flex;
    flex-direction: column;
    align-items: flex-end; 
    max-width: 700px;
}

.about-me h2,
.about-me p,
.about-me ul {
    text-align: right;
}

.about-me ul {
    padding: 10px;
    font-size: 20px;
}

@media (max-width: 768px) {
    .about-me {
        flex-direction: column; 
        align-items: center;    
        min-height: auto;
        gap: 10px;
    }

    .about-me .about {
        align-items: center; 
    }

    .about-me h2,
    .about-me p,
    .about-me ul {
        text-align: center;
    }

    h2 {
        font-size: 30px;
    }
}

@media (max-width: 500px) {
    h1 {
        font-size: 25px;
    }
    h2 {
        font-size: 25px;
    }
}



/* project */

.project {
    border: solid 5px;
    border-top: none;
    display: flex;
    overflow-x: scroll;
}
.project .title h2 {
    font-size: 30px;
    width: 60px;
    margin-top: 35px;
    transform: rotate(90deg);
}
.project .post {
    padding: 10px;
    color: black;
    min-width: 270px;
    border-right: solid 2.5px;
}
.project .post h2 {
    font-size: 25px;
    padding-bottom: 10px;
}
.project .post p {
    font-size: 16px;
    padding-bottom: 10px;
}


/* Scrollbar */
.project::-webkit-scrollbar {
    height: 16px; /* wichtig bei horizontalem Scroll */
}
.project::-webkit-scrollbar-track {
    border-top: solid 2.5px;
}
.project::-webkit-scrollbar-thumb {
    background: black;
    border-radius: 0px;
    border-top: solid 2.5px;
}
.project::-webkit-scrollbar-thumb:hover {
    background: rgba(0, 0, 0, 0.833);
}

/* contact */

.contact {
    border: solid 5px;
    border-top: none;
    padding: 10px;
}

form {
    padding: 10px;
}

input[type=text] {
    width: 300px;
    font-size: 24px;
}
input[type=email] {
    width: 300px;
    font-size: 24px;
}
textarea {
    width: 300px;
    font-size: 20px;
    border: solid 2.5px;
    padding: 5px;
}
input {
    border: solid 2.5px;
    padding: 5px;
}

/* footer */

.footer {
    border: solid 5px;
    border-top: none;
    padding: 10px;
    text-align: center;
}